Subject: Re: [noob] is this normal behavior

From: Harry Putnam <[email-masked]>
Date: Wed, 10 May 2017 13:27:12 -0400

Igor Djordjevic <[email-masked]> writes:

[...] snipped detailed reply
 [To Anyone who lands here on a search: Please read Igor D's full
 answer in this thread... ]

> Just pay attention that untracked files are not affected, you still 
> need to add them first to tell Git to start tracking them, including 
> them in the next commit, but that seems to align nicely with your 
> expectations already.
>
> I personally find the staging area to be one of the greatest Git 
> possibilities, but I do understand beginners getting confused by it, 
> as admittedly I once was myself.

Thank you sir for such a full and complete answer.  Adds to by
understanding in a big way.